;-=-=-=-=-=-
; DeadLy Script - chan PROTECT
;-=-=-=-=-=-
on *:TEXT:*:%pro.chan: { 
  if ($me !isop #) halt 
  if ($hget(protek,chk1) = on) && ($len($strip($1-)) > 10) {
    hinc -mu $+ $hget(protek,pro1.edt2) events penalty. $+ $nick $+ . $+ # $+ . $+ $hash($strip($1-),32) 1
    if ($hget(events,penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)) >= $hget(protek,pro1.edt1)) {
      hadd -mu10 events puta $hget(events,penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)) in $hget(protek,pro1.edt2) sec.
      hdel events penalty. $+ $nick $+ . $+ # $+ . $+ $hash($strip($1-),32)
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_repeat) 1
      pro.penalty edt6 repeat # $nick
    }
  }
  if ($hget(protek,chk2) = on) && ($len($strip($1-)) > 5) {
    hinc -mu $+ $hget(protek,pro2.edt2) events fld. $+ # $+ . $+ $nick 1
    if $hget(events,fld. $+ # $+ . $+ $nick) >= $hget(protek,pro2.edt1) { 
      hadd -mu10 events puta $hget(events,fld. $+ # $+ . $+ $nick) in $hget(protek,pro2.edt2) sec.
      hdel events fld. $+ # $+ . $+ $nick
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_flood) 1
      pro.penalty edt7 flood # $nick | hdel events fld. $+ $chan $+ . $+ $nick
    }
  }
  if ($hget(protek,chk3) = on) && ($len($strip($1-)) >= $hget(protek,pro3.edt1)) { 
    hadd -mu10 events puta $len($strip($1-)) total length
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_longtext) 1 
    pro.penalty edt8 longtext # $nick 
  } 
  if $hget(protek,chk4) = on {
    var %text = $strip($remove($1-,$chr(32)))
    var %caps.letters = $calc($len(%text) - $len($removecs($1-,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z)))
    var %caps.percent = $round($calc(%caps.letters / $len($1-) * 100),0)
    var %caps.allow = $hget(protek,pro4.edt1)
    if (%caps.percent >= %caps.allow) && ($len(%text) >= 15) {
      hadd -mu10 events puta %caps.percent percent CAPS
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_caps) 1
      pro.penalty edt9 caps # $nick
    }
  }
  if $hget(protek,chk5) = on { 
    var %color.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)))
    var %color.percent = $round($calc(%color.count / $len($strip($1-)) * 100),0)
    if (%color.percent >= $hget(protek,pro5.edt1)) && ($len($1-) >= 30) { 
      hadd -mu10 events puta %color.percent percent colors
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_color) 1
      pro.penalty edt10 color # $nick
    }
  }
  if $hget(protek,chk6) = on { 
    var %code.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)) + $count($1-,$chr(2)) + $count($1-,$chr(22)))
    var %code.percent = $round($calc(%code.count / $len($strip($1-)) * 100),0)
    var %code.allow = $hget(protek,pro6.edt1)
    if (%code.percent >= %code.allow) && ($len($1-) >= 30) {
      hadd -mu10 events puta %code.percent percent codes
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_code) 1
      pro.penalty edt11 code # $nick 
    }
  }
  if $hget(protek,chk15) = on { var %bn 1 
    while $gettok($hget(protek,pro.badword),%bn,44) != $null { 
      if $gettok($hget(protek,pro.badword),%bn,44) iswm $strip($1-) { 
        hadd -mu10 events puta $gettok($hget(protek,pro.badword),%bn,44) is bad word
        hinc -mu3600 events penalty. $+ $+(#,_,$nick,_badword) 1
        pro.penalty edt20 badword # $nick 
      }
      inc %bn 1 
    }
  }
  if ($hget(protek,chk16) = on) && ((*#* iswm $strip($1-)) || (*http:* iswm $strip($1-)) || (*www.* iswm $strip($1-))) { var %bn 1
    while $gettok($hget(protek,pro.excempt),%bn,44) != $null { 
      if ($gettok($hget(protek,pro.excempt),%bn,44) iswm $1-) { halt }
      inc %bn 1
    } 
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_excempt) 1
    pro.penalty edt21 excempt # $nick 
  }
}

on *:NOTICE:*:%pro.chan: { 
  if ($me !isop $chan) halt 
  if ($left($target,1) = $chr(35)) {
    var %code.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)) + $count($1-,$chr(2)) + $count($1-,$chr(22)))
    var %code.percent = $round($calc(%code.count / $len($strip($1-)) * 100),0)
    if (%code.percent >= 50) && ($len($1-) >= 50) || ($len($1-) >= 250) { hinc -m60 event net.flood 1 | .ignore -ntcu10 *!*@ $+ $site | mode # +RMc 
      if $hget(event,net.flood) >= 1 { .timerrm 1 60 mode # -RMc | ban # $nick 2 | kick # $nick $hget(protek,edt26) 7»» Flood Net Attempt. }
    }
  }
  if ($hget(protek,chk1) = on) && ($len($strip($1-)) > 10) {
    hinc -mu $+ $hget(protek,pro1.edt2) events penalty. $+ $nick $+ . $+ # $+ . $+ $hash($strip($1-),32) 1
    if ($hget(events,penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)) >= $hget(protek,pro1.edt1)) {
      hadd -mu10 events puta $hget(events,penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)) in $hget(protek,pro1.edt2) sec.
      hdel events penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_repeat) 1
      pro.penalty edt6 repeat $chan $nick
    }
  }
  if ($hget(protek,chk2) = on) && ($len($strip($1-)) > 5) {
    hinc -mu $+ $hget(protek,pro2.edt2) events fld. $+ $chan $+ . $+ $nick 1
    if $hget(events,fld. $+ # $+ . $+ $nick) >= $hget(protek,pro2.edt1) { 
      hadd -mu10 events puta $hget(events,fld. $+ # $+ . $+ $nick) in $hget(protek,pro2.edt2) sec.
      hdel events fld. $+ # $+ . $+ $nick
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_flood) 1
      pro.penalty edt7 flood $chan $nick | hdel events fld. $+ $chan $+ . $+ $nick
    }
  }
  if ($hget(protek,chk3) = on) && ($len($strip($1-)) >= $hget(protek,pro3.edt1)) { 
    hadd -mu10 events puta $len($strip($1-)) total length
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_longtext) 1 
    pro.penalty edt8 longtext # $nick
  } 
  if $hget(protek,chk4) = on {
    var %text = $strip($remove($1-,$chr(32)))
    var %caps.letters = $calc($len(%text) - $len($removecs($1-,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z)))
    var %caps.percent = $round($calc(%caps.letters / $len($1-) * 100),0)
    var %caps.allow = $hget(protek,pro4.edt1)
    if (%caps.percent >= %caps.allow) && ($len(%text) >= 30) {
      hadd -mu10 events puta %caps.percent percent CAPS
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_caps) 1
      pro.penalty edt9 caps $chan $nick
    }
  }
  if $hget(protek,chk5) = on { 
    var %color.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)))
    var %color.percent = $round($calc(%color.count / $len($strip($1-)) * 100),0)
    if (%color.percent >= $hget(protek,pro5.edt1)) && ($len($1-) >= 20) { 
      hadd -mu10 events puta %color.percent percent colors
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_color) 1
      pro.penalty edt10 color # $nick
    }
  }
  if $hget(protek,chk6) = on { 
    var %code.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)) + $count($1-,$chr(2)) + $count($1-,$chr(22)))
    var %code.percent = $round($calc(%code.count / $len($strip($1-)) * 100),0)
    var %code.allow = $hget(protek,pro6.edt1)
    if (%code.percent >= %code.allow) && ($len($1-) >= 20) {
      hadd -mu10 events puta %code.percent percent codes
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_code) 1
      pro.penalty edt11 code # $nick 
    }
  }
  if $hget(protek,chk15) = on { var %bn 1 
    while $gettok($hget(protek,pro.badword),%bn,44) != $null { 
      if $gettok($hget(protek,pro.badword),%bn,44) iswm $strip($1-) { 
        hadd -mu10 events puta $hget(protek,pro.badword),%bn,44) is bad word
        hinc -mu3600 events penalty. $+ $+(#,_,$nick,_badword) 1
        pro.penalty edt20 badword # $nick 
      }
      inc %bn 1 
    }
  }
  if ($hget(protek,chk16) = on) && ((*#* iswm $strip($1-)) || (*http:*.* iswm $strip($1-)) || (*www.*.* iswm $strip($1-))) { var %bn 1
    while $gettok($hget(protek,pro.excempt),%bn,44) != $null { 
      if $gettok($hget(protek,pro.excempt),%bn,44) iswm $1- { halt }
      inc %bn 1
    } 
    if (*# * iswm $strip($1-)) { halt }
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_excempt) 1
    pro.penalty edt21 excempt # $nick 
  }
}
on *:ACTION:*:%pro.chan: {
  if ($me !isop #) halt 
  if ($hget(protek,chk1) = on) && ($len($strip($1-)) > 10) {
    hinc -mu $+ $hget(protek,pro1.edt2) events penalty. $+ $nick $+ . $+ # $+ . $+ $hash($strip($1-),32) 1
    if ($hget(events,penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)) >= $hget(protek,pro1.edt1)) {
      hadd -mu10 events puta $hget(events,penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)) in $hget(protek,pro1.edt2) sec.
      hdel events penalty. $+ $nick $+ . $+ $chan $+ . $+ $hash($strip($1-),32)
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_repeat) 1
      pro.penalty edt6 repeat $chan $nick
    }
  }
  if ($hget(protek,chk2) = on) && ($len($strip($1-)) > 5) {
    hinc -mu $+ $hget(protek,pro2.edt2) events fld. $+ # $+ . $+ $nick 1
    if $hget(events,fld. $+ # $+ . $+ $nick) >= $hget(protek,pro2.edt1) { 
      hadd -mu10 events puta $hget(events,fld. $+ # $+ . $+ $nick) in $hget(protek,pro2.edt2) sec.
      hdel events fld. $+ # $+ . $+ $nick
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_flood) 1
      pro.penalty edt7 flood $chan $nick | hdel events fld. $+ $chan $+ . $+ $nick
    }
  }
  if ($hget(protek,chk3) = on) && ($len($strip($1-)) >= $hget(protek,pro3.edt1)) { 
    hadd -mu10 events puta $len($strip($1-)) total length
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_longtext) 1 
    pro.penalty edt8 longtext # $nick 
  } 
  if $hget(protek,chk4) = on {
    var %text = $strip($remove($1-,$chr(32)))
    var %caps.letters = $calc($len(%text) - $len($removecs($1-,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z)))
    var %caps.percent = $round($calc(%caps.letters / $len($1-) * 100),0)
    var %caps.allow = $hget(protek,pro4.edt1)
    if (%caps.percent >= %caps.allow) && ($len(%text) >= 15) {
      hadd -mu10 events puta %caps.percent percent CAPS
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_caps) 1
      pro.penalty edt9 caps $chan $nick
    }
  }
  if $hget(protek,chk5) = on { 
    var %color.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)))
    var %color.percent = $round($calc(%color.count / $len($strip($1-)) * 100),0)
    if (%color.percent >= $hget(protek,pro5.edt1)) && ($len($1-) >= 30) { 
      hadd -mu10 events puta %color.percent percent colors
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_color) 1
      pro.penalty edt10 color # $nick
    }
  }
  if $hget(protek,chk6) = on { 
    var %code.count = $calc($count($1-,$chr(3)) + $count($1-,$chr(31)) + $count($1-,$chr(15)) + $count($1-,$chr(2)) + $count($1-,$chr(22)))
    var %code.percent = $round($calc(%code.count / $len($strip($1-)) * 100),0)
    var %code.allow = $hget(protek,pro6.edt1)
    if (%code.percent >= %code.allow) && ($len($1-) >= 30) {
      hadd -mu10 events puta %code.percent percent codes
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_code) 1
      pro.penalty edt11 code # $nick 
    }
  }
  if $hget(protek,chk15) = on { var %bn 1 
    while $gettok($hget(protek,pro.badword),%bn,44) != $null { 
      if $gettok($hget(protek,pro.badword),%bn,44) iswm $strip($1-) { 
        hadd -mu10 events puta $hget(protek,pro.badword),%bn,44) is bad word
        hinc -mu3600 events penalty. $+ $+(#,_,$nick,_badword) 1
        pro.penalty edt20 badword # $nick 
      }
      inc %bn 1 
    }
  }
  if ($hget(protek,chk16) = on) && ((*#* iswm $strip($1-)) || (*http:* iswm $strip($1-)) || (*www.* iswm $strip($1-))) { var %bn 1
    while $gettok($hget(protek,pro.excempt),%bn,44) != $null { 
      if ($gettok($hget(protek,pro.excempt),%bn,44) iswm $1-) { halt }
      inc %bn 1
    } 
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_excempt) 1
    pro.penalty edt21 excempt # $nick 
  }
}
on *!:NICK: { 
  if $nick != $me {
    pro.return.nick 
    if ($hget(protek,chk30)) && (($nick isin $hget(user,op)) && ($nick isin $hget(user,voice)) && ($hget(user,greet $+ $nick) != $null)) halt
  }
  if ($hget(protek,chk7) = on) && (*guest* iswm $newnick) { 
    var %zx = 1 | while ($comchan($newnick,%zx) != $null) { 
      if $comchan($newnick,%zx) isin %pro.chan {
        if ($me !isop $comchan($newnick,%zx)) halt
        hinc -mu3600 events penalty. $+ $+($comchan($newnick,%zx),_,$newnick,_guest) 1 
        pro.penalty edt12 guest $comchan($newnick,%zx) $newnick
      }
      inc %zx 1
    }
  } 
  var %zc 1 | while $gettok($hget(protek,pro.badnick),%zc,44) != $null {
    if ($hget(protek,chk8) = on) && (* $+ $gettok($hget(protek,pro.badnick),%zc,44) $+ * iswm $newnick) {
      var %zx = 1 | while ($comchan($newnick,%zx) != $null) { 
        if $comchan($newnick,%zx) isin %pro.chan {
          if ($me !isop $comchan($newnick,%zx)) halt
          hinc -mu3600 events penalty. $+ $+($comchan($newnick,%zx),_,$newnick,_badnick) 1 
          pro.penalty edt12 badnick $comchan($newnick,%zx) $newnick
        }
        inc %zx 1
      }
    }
    inc %zc 1
  }
}
on *:JOIN:%pro.chan: {
  pro.return
  if $nick = $me {
    if $hget(protek,chk22) = on { .timertopic $+ # 1 2 topic # $hget(protek,edt2) }
    if $hget(protek,chk23) = on { .timermsg $+ # 1 3 msg # $hget(protek,edt3) }
    if $hget(protek,chk24) = on { .timermode $+ # 1 4 mode # -o $me }
  }
  if $nick != $me { hinc -u5 protek otomsgm 1 
    if ($hget(protek,chk25) = on) && ($hget(protek,otomsg) = 1) { .timermc 1 1 .msg $chan $replace($hget(protek,edt4),<chan>,$chan,<nick>,$nick) }
    if $hget(protek,chk27) = on { .timerwhois 1 3 whois $nick | .enable #w }
  }
  if ($me !isop #) halt
  if ($hget(protek,chk7) = on) && (guest* iswm $nick) { hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_guest) 1 | pro.penalty edt12 guest $chan $nick | return }
  if $hget(protek,chk8) = on { var %bn 1 | while $gettok($hget(protek,pro.badnick),%bn,44) != $null {
      if ($gettok($hget(protek,pro.badnick),%bn,44) iswm $nick) {
        hinc -mu3600 events penalty. $+ $+(#,_,$nick,_badnick) 1
        pro.penalty edt13 badnick # $nick 
      }
      inc %bn 1 
    }
  }
  if $hget(protek,chk9) = on { var %bn 1 | while $gettok($hget(protek,pro.badhost),%bn,44) != $null { 
      if ($gettok($hget(protek,pro.badhost),%bn,44) iswm $fulladdress) { 
        hinc -mu3600 events penalty. $+ $+(#,_,$nick,_badhost) 1 
        pro.penalty edt14 badhost # $nick 
      } 
      inc %bn 1
    }
  }
  if $hget(protek,chk10) = on { .timerwn 1 3 whois $nick | .disable #who1 | .enable #halts | hadd -mu60 events badch $+ $nick # }
  if ($hget(protek,chk11) = on) && ($hget(events,penalty. $+ $+(#,_,$site,_quit)) > 0) { 
    pro.return
    if $hget(protek,pro16.banonstyle) = 1 { 
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) >= 1 { pro.ban edt16 # $nick | hdel events penalty. $+ $+(#,_,$site,_quit) }
    }
    if $hget(protek,pro16.banonstyle) = 2 {
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) = 1 { pro.warn edt16 # $nick }
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) >= 2 { pro.ban edt16 # $nick | hdel events penalty. $+ $+(#,_,$site,_quit) }
    }
    if $hget(protek,pro16.banonstyle) = 3 { 
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) = 1 { pro.warn edt16 # $nick }
      if ($hget(events,penalty. $+ $+(#,_,$site,_quit)) = 2) && ($hget(events,quit.part. $+ $site) = $null) { pro.kick edt16 # $nick | hinc -mu10 events quit.part. $+ $site 1 }
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) >= 3 { pro.ban edt16 # $nick | hdel events penalty. $+ $+(#,_,$site,_quit) }
    }
    if $hget(protek,pro16.banonstyle) = 4 { 
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) = 1 { pro.warn edt16 # $nick }
      if ($hget(events,penalty. $+ $+(#,_,$site,_quit)) = 2) && ($hget(events,quit.part. $+ $site) = $null) { pro.kick edt16 # $nick | hinc -mu10 events quit.part. $+ $site 1 }
      if ($hget(events,penalty. $+ $+(#,_,$site,_quit)) = 3) && ($hget(events,quit.part. $+ $site) = $null) { pro.kick edt16 # $nick | hinc -mu10 events quit.part. $+ $site 1 } 
      if $hget(events,penalty. $+ $+(#,_,$site,_quit)) >= 4 { pro.ban edt16 # $nick | hdel events penalty. $+ $+(#,_,$site,_quit) } 
    }
    if $hget(protek,pro16.banonstyle) = 5 { pro.warn quit # $nick | hdel events penalty. $+ $+(#,_,$site,_quit)) }
  }
  if ($hget(protek,chk18) = on) && ($nick != $me) { hinc -mu33 events revolv. $+ $+(#,_,$nick) 1 }
  if $hget(protek,chk20) = on { 
    if $ialchan($site,#,0) >= $hget(protek,pro20.edt1) { 
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_clone) 1
      pro.penalty edt25 clone # $nick 
    }
  }
}
#w on
raw 301:*: { halt | .disable #w }
#w end
on *:KICK:%pro.chan: {
  if ($me !isop #) halt
  if $hget(protek,chk12) = on { 
    hinc -mu $+  $hget(protek,pro12.edt2) events $+(masskick,#,$nick) 1
    if $hget(events,$hget(events,masskick $+ # $+ $nick)) >= $hget(protek,pro12.edt1) { 
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_masskick) 1
      pro.penalty edt17 masskick # $nick | hdel events $hget(events,masskick) 
    }
  }
}
on *:BAN:%pro.chan: {
  if ($me !isop #) halt
  if ($hget(protek,chk13) = on) && (*!*@* = $banmask) { ban -r # *!*@* | kban # $nick Mass Ban Attempt }
  if $hget(protek,chk13) = on { 
    hinc -mu $+  $hget(protek,pro13.edt2) events $+(massban,#,$nick) 1
    if $hget(events,$hget(events,massban $+ # $+ $nick)) >= $hget(protek,pro13.edt1) { 
      hinc -mu3600 events penalty. $+ $+(#,_,$nick,_massban) 1
      pro.penalty edt18 massban # $nick | hdel events $hget(events,massban) 
    }
  }
}
on *:DEOP:%pro.chan: {
  if ($me !isop #) halt
  if $hget(protek,chk14) = on { 
    hinc  -mu $+  $hget(protek,pro14.edt2) events $+(massdeop,#,$nick) 1
    if $hget(events,$hget(events,massdeop $+ # $+ $nick)) >= $hget(protek,pro14.edt1) { 
      hinc -mu3600 events penalty. $+ $+($chan,_,$nick,_massdeop) 1
      pro.penalty edt19 massdeop # $nick | hdel events $hget(events,massdeop) 
    }
  }
}
on *:OP:%pro.chan:{
  if ($hget(protek,chk21) = on) && ($opnick = $me) { .raw mode # $hget(protek,edt1) }
}
on *:OPEN:?:*: {
  if $hget(protek,chk17) = on { var %bn 1 | var %xn 1 | var %cn 1
    while $gettok($hget(protek,pro.excempt),%cn,44) != $null { 
      if * $+ $gettok($hget(protek,pro.excempt),%cn,44) $+ * iswm $strip($1-) { return }
      inc %cn 1
    }
    while $gettok(%pro.chan,%xn,44) != $null {
      if $me !isop $gettok(%pro.chan,%xn,44) return
      while $gettok($hget(protek,pro.spamword),%bn,44) != $null {
        if $gettok($hget(protek,pro.spamword),%bn,44) iswm $strip($1-) {
          hinc -mu3600 events penalty. $+ $+(%pro.chan,_, $site,_spamword) 1
          pro.penalty edt22 spamword $gettok(%pro.chan,%xn,44) $nick
          close -m $nick
          if $hget(setup,chk19) = off {
            echo -s 0,1QEURY Spam $1 : $left($2-,12) $+ ...
            .write logs\SPAM.log $timestamp $t.stamp(1) 10« $+ $color(info) $+ $nick $+ 10» $+ $color(normal) $1- 
            .remove logs\ $+ $nick $+ .log
            .msg $nick $hget(setup,edt4) 12 $+ $sc 4v. $+ $bersyon | hadd -mu60 events spam.nicks $nick $+ , $+ $hget(events,spam,nicks)
            return
          }
        }
        inc %bn 1
      }
      inc %xn 1
    }
  }
}
on *:NOTICE:*:?: {
  pro.return
  if $hget(protek,chk17) = on { var %bn 1 | var %xn 1
    while $gettok(%pro.chan,%xn,44) != $null { 
      if $me !isop $gettok(%pro.chan,%xn,44) halt
      while $gettok($hget(protek,pro.spamword),%bn,44) != $null { 
        if $gettok($hget(protek,pro.spamword),%bn,44) iswm $1- {
          hinc -mu3600 events penalty. $+ $+(%pro.chan,_,$site,_spamword) 1
          pro.penalty edt22 spamword $gettok(%pro.chan,%xn,44) $nick
        }
        inc %bn 1
      }
      inc %xn 1
    }
  }
}
on *:PART:%pro.chan: {
  pro.return
  if ($hget(protek,chk26) = on) && ($nick != $me) { .msg $nick $replace($hget(protek,edt5),<chan>,#,<nick>,$nick) }
  if $me !isop # halt
  if ($hget(protek,chk18) = on) && ($me isop $chan) && ($hget(events,revolv. $+ $+(#,_,$nick)) != $null) { hinc -mu10 events revolv. $+ # $+ $nick 1 }
  if ($hget(protek,chk18) = on) && ($hget(events,revolv. $+ # $+ $nick) >= $hget(protek,pro18.edt1)) {
    hinc -mu3600 events penalty. $+ $+(#,_,$nick,_revolv) 1
    hadd -mu10 events puta $hget(events,penalty. $+ $+(#,_,$nick,_revolv)) in 60 sec.
    pro.penalty edt23 revolv $chan $nick
  }
  if ($hget(protek,chk11) = on) && ($nick != $me) { 
    if (* $+ $chr(35) $+ * iswm $strip($1-)) || (*http:* isin $strip($1-)) || (*www.* isin $strip($1-)) || (*script* isin $strip($1-)) && ((*ΠλεΠ£₯* !iswm $strip($1-)) || (*deadly* !iswm $strip($1-))) {
      var %bn = 1
      while $gettok($hget(protek,pro.excempt),%bn,44) != $null { 
        if $gettok($hget(protek,pro.excempt),%bn,44) iswm $1- { halt }
        inc %bn 1
      } 
      hinc -mu3600 events penalty. $+ $+(#,_,$site,_quit) 1
    }
  }
}
on *:QUIT: { 
  if ($hget(protek,chk11) = on) && ($nick != $me) { 
    if ($chr(35) $+ * iswm $strip($1-)) || (*http:* iswm $strip($1-)) || (*www.* iswm $strip($1-)) || (excess = $1) || (killed = $1) && ((*ΠλεΠ£₯* !iswm $strip($1-)) || (*deadly* !iswm $strip($1-))) {
      if ($remove($3,$chr(41)) = Collision) halt
      var %bn 1
      while $gettok($hget(protek,pro.excempt),%bn,44) != $null { 
        if $gettok($hget(protek,pro.excempt),%bn,44) iswm $1- { halt }
        inc %bn 1
      }
      var %cc 1
      while $gettok(%pro.chan,%cc,44) != $null { if $comchan($nick,%cc) = $null halt
        hinc -mu3600 events penalty. $+ $+($comchan($nick,%cc),_,$site,_quit) 1
        inc %cc
      }
    }
  }
}
;-=-=-=-=-=-
;-=-=-=-=-=-
